l = require "luxio"

sock = l.socket(l.AF_UNIX, l.SOCK_DGRAM, 0)
sockaddr = l.make_sockaddr(l.AF_UNIX, "test-socket")
l.unlink "test-socket"
l.bind(sock, sockaddr)
l.listen(sock, 5);

client = l.accept(sock)

l.write(client, "Hello")

l.close(client)

l.close(sock)
